// Comparison functions

#ifndef BESTIOLA_COMPARE_H
#define BESTIOLA_COMPARE_H

#include <stddef.h>

int compar_strcmp(const void *p1, const void *p2);

static inline int intcmp(int i1, int i2) {
	return i1 < i2? -1: i1 > i2? 1 : 0;
}

static inline size_t sizemin(size_t s1, size_t s2) {
	return s1 < s2? s1: s2;
}

static inline int uintcmp(unsigned u1, unsigned u2) {
	return u1 < u2? -1: u1 > u2? 1: 0;
}

#endif
