// Wrappers for err.h functions

#include "err_wrap.h"

#include <err.h>
#include <stdarg.h>
#include <stdlib.h>

void errx_fail(const char *fmt, ...) {
	va_list args;
	va_start(args, fmt);
	verrx(EXIT_FAILURE, fmt, args);
	va_end(args);
}
